﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.Concurrent;
using System.Net;
using System.IO;
using System.Threading;
using System.Text.RegularExpressions;
using _12306Common;

namespace _12306
{
    class Program
    {
        static void Main(string[] args)
        {
            //var wc = new WebClient();
            //var ipStr = wc.DownloadString("http://www.fishlee.net/apps/cn12306/ipservice/getlist");
            //foreach (Match m in Regex.Matches(ipStr, @"""ip"":""(.*?)"""))
            //{
            //    ips.Add(m.Groups[1].Value);
            //}

            var setting = new Setting();

            foreach (var row in File.ReadAllLines(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "ips.txt")))
            {
                if (!string.IsNullOrEmpty(row))
                    setting.Ips.Add(row);
            }

            var rows = File.ReadAllLines(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "setting.txt"));
            setting.From = rows[0].Split(',').ToList();
            setting.To = rows[1].Split(',').ToList();
            setting.Code = rows[2].Split(',').ToList();
            setting.Date = rows[3].Trim();

            var task = new PiaoTask();
            var secretStr = task.Run(setting);
            Console.WriteLine(secretStr);

            if (!string.IsNullOrEmpty(secretStr))
            {
                File.WriteAllText(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "secretStr.txt"), secretStr);
            }

            Console.Read();
        }

        private static List<string> ips = new List<string>();
    }
}
